package com.ipsplm.entity.iot;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.apache.kafka.common.annotation.InterfaceStability;

import java.io.Serializable;
/**
 * @Description 西安能耗仪表
 * @Author lulicheng
 * @Date 2024-06-13 14:16
 * @Version 1.0
 */
@Data
@TableName("xazz_energy_meter")
public class XaMeterList implements Serializable {
    //主键ID
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    //仪表编号
    @TableField("meter_num")
    private String meterNum;

    //仪表名称
    @TableField("meter_name")
    private String meterName;

    //仪表类型名称
    @TableField("meter_type_name")
    private String meterTypeName;

    //仪表等级
    @TableField("meter_level")
    private Integer meterLevel;

    //安装位置
    @TableField("meter_position")
    private String meterPosition;

    //部门祖籍
    @TableField("organization")
    private String organization;

    //所属组织机构名称
    @TableField("group_name")
    private String groupName;

    //所属产线名称
    @TableField("subordinate_name")
    private String subordinateName;

    //所属产线编号
    @TableField("subordinate_code")
    private String subordinateCode;
}
